Subject: Re: Still a problem

From: Uwe Brauer <[email-masked]>
Date: Sat, 02 Apr 2016 17:44:35 +0000

>>> "Mosè" == Mosè Giordano <[email-masked]> writes:

   > Hi Uwe,
   > 2016-04-02 19:31 GMT+02:00 Uwe Brauer <[email-masked]>:
   >>>>> "Mosè" == Mosè Giordano <[email-masked]> writes:
   >> (I think everybody is tired with this bug),
   >> So I thought of modifying directly the auto-capitalize code.
   >> 
   >> Most likely the line
   >> (funcall auto-capitalize-predicate)))
   >> 
   >> Should read
   >> 
   >> (funcall (save-match-data (auto-capitalize-predicate))))
   >> 
   >> Is this correct?

   > Yes.  Since that function is to be run in `after-change-functions' I
   > believe that it should be auto-capitalize task to make sure match data
   > is preserved after `auto-capitalize-predicate' is executed.

No that did not work, gave a syntax error(!)

it seems that the correct syntax is

	       (save-match-data (funcall auto-capitalize-predicate))))

now (for the moment being, finger crossed) everything works as expected.

If Kevin is not responding in due time, I try to find out how I could
change the code in MELPA.

Bye

Uwe